"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SentenceLibrary = void 0;
class SentenceLibrary {
    // eslint-disable-next-line no-useless-constructor
    constructor(helper) {
        this.helper = helper;
    }
    load(model) {
        this.functions(model);
    }
    functions(model) {
        model.addFunction('toBase64(value:string):string', (value) => this.helper.crypto.toBase64(value));
        model.addFunction('getBase64(value:string):string', (value) => this.helper.crypto.getBase64(value));
        model.addFunction('encrypt(value:string):string', (value, key) => this.helper.crypto.encrypt(value, key));
        model.addFunction('decrypt(value:string):string', (value, key) => this.helper.crypto.decrypt(value, key));
        model.addFunction('update(list: any[], predicate: any):any', () => { throw new Error('NotImplemented'); });
        model.addFunction('updateAll(list: any[], predicate: any):any', () => { throw new Error('NotImplemented'); });
        model.addFunction('deleteAll(list: any[]):any', () => { throw new Error('NotImplemented'); });
        model.addFunction('merge(list: any[], predicate: any):any', () => { throw new Error('NotImplemented'); });
        model.addFunction('bulkMerge(list: any[], predicate: any):any', () => { throw new Error('NotImplemented'); });
        model.addFunction('having(list: T[], predicate: boolean):T[]', () => { throw new Error('NotImplemented'); });
        model.addFunction('include(list: any[], predicate: any):any', () => { throw new Error('NotImplemented'); });
        model.addFunction('desc(value:any):void', () => { throw new Error('NotImplemented'); });
        model.addFunction('asc(value:any):void', () => { throw new Error('NotImplemented'); });
    }
}
exports.SentenceLibrary = SentenceLibrary;
//# sourceMappingURL=library.js.map